{% extends "base.html" %}

{% block page_name %}Front Desk Attendance{% endblock %}

{% block extrastyles %}
<link rel="stylesheet" type="text/css" href="{{static|default:'/static/debconf_website'}}/css/frontdesk.css"/>
{% endblock %}

{% block sub_nav %}{% endblock %}

{% block content %}
<h1>{{ summit.title }}</h1>

<h2>
  <a href="{% url debconf_website.views.frontdesk_registration summit %}" title="Register new attendee">Register New Attendee</a>
</h2>

<h2>Update Attendees</h2>

<p><large> WARNING WARNING!! <span style="color: blue;">RELOAD THE PAGE OFTEN!</span>. NOW. AND NOW!!!</large></p>

<form method="post" action="">
  {% csrf_token %}
  {{ formset.management_form }}
  <table id="attendance-list">
    <thead>
      <tr>
        <th>ID</th>
        <th class="name">Name</th>
        <th class="foodaccommodation">Food Accom</th>
        <th class="level">Level</th>
        <th class="tshirt">T-Shirt</th>
	<th class="arrived">Arrived?</th>
        <th class="received-tshirt">Got T-shirt?</th>
        <th class="received-bag">Got Bag?</th>
	<th class="received-extra">Got Extra?</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      {% for form in formset %}
      <tr>
        <td>{{ form.instance.pk }}</td>
        <td class="name">
          <a href="{% url debconf_website.views.frontdesk_registration summit form.instance.pk %}" title="Edit {{ form.instance.badge_full }}">{{ form.instance.badge_full }}</a>
        </td>
        {% for field in form.hidden_fields %} {{ field }} {% endfor %}
        <td class="foodaccommodation">{% if form.instance.food_accommodation_id == 2 %}food+room (paid){% elif form.instance.food_accommodation_id == 3 %}food tickets{% elif form.instance.food_accommodation_id == 4 %}sponsored{% else %}none{% endif %}</td>
        <td class="level">{% if form.instance.registration_level_id == 1 %}pvt{% elif form.instance.registration_level_id == 2 %}pro{% elif form.instance.registration_level_id == 3 %}corp{% elif form.instance.registration_level_id == 4 %}Deity{% endif %}</td>
	<td class="tshirt">{{ form.instance.tshirt_size.size }}</td>
        <td class="arrived">{{ form.arrived }}</td>
        <td class="received-tshirt">{% if form.instance.can_get_swag %}{{ form.received_tshirt }}{% else %}<span style="color:red;">NO!</span>{% endif %}</td>
        <td class="received-bag">{% if form.instance.can_get_swag %}{{ form.received_bag }}{% else %}<span style="color:red;">NO!</span>{% endif %}</td>
        <td class="received-extra">{% if form.instance.can_get_swag2 %}{{ form.got_swag2 }}{% else %}<span style="color:red;">NO!</span>{% endif %}</td>
	<td><input type="submit" name="submit" value="Save" class="submit-button"/></td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
  <input type="submit" name="submit" value="Save" class="submit-button"/>
</form>
{% endblock %}
